Changeset 21376


Ignore:
Timestamp:
12/18/09 14:28:14 (11 years ago)
Author:
ak19
Message:

Now the configure, configure.in, Makefile.in and config.h.in of gs2build and greenstone2 are the same, so that they can just be obtained from one source in future. Need to include configtest.pl into gs2build for now to get the changes to configure.in to still work

Location:
main/trunk/gs2build
Files:
1 added
4 edited

Legend:

Unmodified
Added
Removed
  • main/trunk/gs2build/Makefile.in

    r21373 r21376  
    105105    fi
    106106
    107 # For GS2: include the Greenstone Server Interface Makefile here
    108 # http://www.makelinux.net/make3/make3-CHP-3-SECT-7.html
    109 sinclude GSI-Makefile
    110 
    111107distclean: clean
    112108    rm -f Makefile config.cache config.h config.log stamp-h config.status
  • main/trunk/gs2build/config.h.in

    r21374 r21376  
    115115#undef ENABLE_LUCENE
    116116
     117/* Define ENABLE_JNI */
     118#undef ENABLE_JNI
     119
    117120/* Define MICO_DIR if needsbe */
    118121#undef MICO_DIR
  • main/trunk/gs2build/configure

    r21371 r21376  
    309309#endif"
    310310
    311 ac_subdirs_all="$ac_subdirs_all common-src build-src"
    312 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE ENABLE_JNI ENABLE_MG ENABLE_MGPP ENABLE_LUCENE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC gsdlos MODULEDIRS subdirs LTLIBOBJS'
     311ac_subdirs_all="$ac_subdirs_all common-src"
     312ac_subdirs_all="$ac_subdirs_all build-src"
     313ac_subdirs_all="$ac_subdirs_all runtime-src"
     314ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE USE_APACHE_HTTPD ENABLE_JNI ENABLE_MG ENABLE_MGPP ENABLE_LUCENE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC gsdlos MODULEDIRS subdirs LTLIBOBJS'
    313315ac_subst_files=''
    314316
     
    859861  --disable-accentfold    Disable Accent Folding for MGPP
    860862  --disable-sqlite        Disable SQLite support
     863  --enable-apache-httpd  Enable Apache httpd support
    861864  --enable-jni    Enable JNI compilation
    862865  --disable-mg    Disable MG compilation
     
    14351438
    14361439
     1440if test -d runtime-src; then
     1441   # Check whether --enable-apache-httpd or --disable-apache-httpd was given.
     1442if test "${enable_apache_httpd+set}" = set; then
     1443  enableval="$enable_apache_httpd"
     1444  USE_APACHE_HTTPD=1
     1445else
     1446  USE_APACHE_HTTPD=0
     1447fi;
     1448   cat >>confdefs.h <<\_ACEOF
     1449#define USE_APACHE_HTTPD $USE_APACHE_HTTPD
     1450_ACEOF
     1451
     1452
     1453fi
     1454
    14371455# Check whether --enable-jni or --disable-jni was given.
    14381456if test "${enable_jni+set}" = set; then
     
    47704788ac_cv_lib_crypt=ac_cv_lib_crypt_main
    47714789
    4772 if test $ENABLE_ACCENTFOLD = 1; then
    4773 
    4774 echo "$as_me:$LINENO: checking for main in -liconv" >&5
    4775 echo $ECHO_N "checking for main in -liconv... $ECHO_C" >&6
    4776 if test "${ac_cv_lib_iconv_main+set}" = set; then
    4777   echo $ECHO_N "(cached) $ECHO_C" >&6
    4778 else
    4779   ac_check_lib_save_LIBS=$LIBS
    4780 LIBS="-liconv  $LIBS"
    4781 cat >conftest.$ac_ext <<_ACEOF
    4782 /* confdefs.h.  */
    4783 _ACEOF
    4784 cat confdefs.h >>conftest.$ac_ext
    4785 cat >>conftest.$ac_ext <<_ACEOF
    4786 /* end confdefs.h.  */
    4787 
    4788 
    4789 int
    4790 main ()
    4791 {
    4792 main ();
    4793   ;
    4794   return 0;
    4795 }
    4796 _ACEOF
    4797 rm -f conftest.$ac_objext conftest$ac_exeext
    4798 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4799   (eval $ac_link) 2>conftest.er1
    4800   ac_status=$?
    4801   grep -v '^ *+' conftest.er1 >conftest.err
    4802   rm -f conftest.er1
    4803   cat conftest.err >&5
    4804   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4805   (exit $ac_status); } &&
    4806      { ac_try='test -z "$ac_c_werror_flag"
    4807              || test ! -s conftest.err'
    4808   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4809   (eval $ac_try) 2>&5
    4810   ac_status=$?
    4811   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4812   (exit $ac_status); }; } &&
    4813      { ac_try='test -s conftest$ac_exeext'
    4814   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4815   (eval $ac_try) 2>&5
    4816   ac_status=$?
    4817   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4818   (exit $ac_status); }; }; then
    4819   ac_cv_lib_iconv_main=yes
    4820 else
    4821   echo "$as_me: failed program was:" >&5
    4822 sed 's/^/| /' conftest.$ac_ext >&5
    4823 
    4824 ac_cv_lib_iconv_main=no
    4825 fi
    4826 rm -f conftest.err conftest.$ac_objext \
    4827       conftest$ac_exeext conftest.$ac_ext
    4828 LIBS=$ac_check_lib_save_LIBS
    4829 fi
    4830 echo "$as_me:$LINENO: result: $ac_cv_lib_iconv_main" >&5
    4831 echo "${ECHO_T}$ac_cv_lib_iconv_main" >&6
    4832 if test $ac_cv_lib_iconv_main = yes; then
    4833   cat >>confdefs.h <<_ACEOF
    4834 #define HAVE_LIBICONV 1
    4835 _ACEOF
    4836 
    4837   LIBS="-liconv $LIBS"
    4838 
    4839 fi
    4840 ac_cv_lib_iconv=ac_cv_lib_iconv_main
    4841 
    4842 fi
     4790#if test $ENABLE_ACCENTFOLD = 1; then
     4791#AC_HAVE_LIBRARY(iconv)
     4792#fi
    48434793
    48444794
     
    68816831
    68826832
     6833echo "$as_me:$LINENO: checking that Perl 5 is available" >&5
     6834echo $ECHO_N "checking that Perl 5 is available... $ECHO_C" >&6
     6835success="no"
     6836pl_path="$PATH"
     6837IFS="${IFS=   }"; pl_save_ifs="$IFS"; IFS=":"
     6838for pl_dir in $pl_path; do
     6839  test -z "$pl_dir" && pl_dir=.
     6840  if test -x $pl_dir/perl; then
     6841    success="yes"
     6842    break
     6843  fi
     6844done
     6845IFS="$pl_save_ifs"
     6846
     6847if test $success = "yes"; then
     6848try=`perl configtest.pl` || try="0"
     6849try=`expr $try \> 5.000`
     6850if test $try = "1"; then
     6851echo "$as_me:$LINENO: result: \"yes\"" >&5
     6852echo "${ECHO_T}\"yes\"" >&6
     6853else
     6854success="no"
     6855fi
     6856fi
     6857
     6858if test $success = "no"; then
     6859echo "$as_me:$LINENO: result: \"no\"" >&5
     6860echo "${ECHO_T}\"no\"" >&6
     6861{ { echo "$as_me:$LINENO: error: \"Perl 5 not available - cannot install\"" >&5
     6862echo "$as_me: error: \"Perl 5 not available - cannot install\"" >&2;}
     6863   { (exit 1); exit 1; }; }
     6864fi
     6865
    68836866success=no
    68846867echo "$as_me:$LINENO: checking \"whether STL library has known faults\"" >&5
     
    73217304# indexers needs a bindir option to get the binaries into the right place
    73227305gsdlprefix=`pwd`
    7323 ac_configure_args="$ac_configure_args --bindir=$gsdlprefix/bin/$gsdlos "
    7324 
    7325 
    7326 subdirs="$subdirs common-src build-src"
     7306ac_configure_args="$ac_configure_args --bindir=$gsdlprefix/bin/$gsdlos --libdir=$gsdlprefix/lib/$gsdlos"
     7307
     7308
     7309subdirs="$subdirs common-src"
     7310
     7311
     7312
     7313subdirs="$subdirs build-src"
    73277314
    73287315
     
    73307317srclist="common-src/Makefile \
    73317318         build-src/Makefile"
     7319
     7320if test -d runtime-src; then
     7321
     7322
     7323subdirs="$subdirs runtime-src"
     7324
     7325   srclist="$srclist \
     7326         runtime-src/Makefile"
     7327fi
    73327328
    73337329                              ac_config_files="$ac_config_files Makefile $srclist $moduleDirs"
     
    79557951s,@ENABLE_ACCENTFOLD@,$ENABLE_ACCENTFOLD,;t t
    79567952s,@USE_SQLITE@,$USE_SQLITE,;t t
     7953s,@USE_APACHE_HTTPD@,$USE_APACHE_HTTPD,;t t
    79577954s,@ENABLE_JNI@,$ENABLE_JNI,;t t
    79587955s,@ENABLE_MG@,$ENABLE_MG,;t t
  • main/trunk/gs2build/configure.in

    r21371 r21376  
    7272AC_DEFINE(USE_SQLITE, $USE_SQLITE)
    7373AC_SUBST(USE_SQLITE)
     74
     75dnl
     76dnl Set use of Apache httpd (disabled by default)
     77dnl
     78if test -d runtime-src; then
     79   AC_ARG_ENABLE(apache-httpd, [  --enable-apache-httpd  Enable Apache httpd support], USE_APACHE_HTTPD=1, USE_APACHE_HTTPD=0)
     80   AC_DEFINE(USE_APACHE_HTTPD, $USE_APACHE_HTTPD)
     81   AC_SUBST(USE_APACHE_HTTPD)
     82fi
    7483
    7584dnl
     
    229238dnl check for -lcrypt:
    230239AC_HAVE_LIBRARY(crypt)
    231 if test $ENABLE_ACCENTFOLD = 1; then
    232 AC_HAVE_LIBRARY(iconv)
    233 fi
     240#if test $ENABLE_ACCENTFOLD = 1; then
     241#AC_HAVE_LIBRARY(iconv)
     242#fi
    234243
    235244dnl Checks for header files.
     
    292301dnl
    293302AC_LANG_CPLUSPLUS
     303
     304dnl
     305dnl Now check that Perl is actually around, and can be found
     306dnl
     307AC_MSG_CHECKING(that Perl 5 is available)
     308success="no"
     309pl_path="$PATH"
     310IFS="${IFS=   }"; pl_save_ifs="$IFS"; IFS=":"
     311for pl_dir in $pl_path; do
     312  test -z "$pl_dir" && pl_dir=.
     313  if test -x $pl_dir/perl; then
     314    success="yes"
     315    break
     316  fi
     317done
     318IFS="$pl_save_ifs"
     319
     320dnl
     321dnl Perl actually can be run; now we see if it is version 5 by
     322dnl running a sample script (which returns a "clean" version number
     323dnl and then tests the result using expr.  If perl errors in some
     324dnl way (eg. broken Perl executable, missing script), we set a failure
     325dnl value ("0") and then proceed as best we can
     326dnl
     327if test $success = "yes"; then
     328try=`perl configtest.pl` || try="0"
     329try=`expr $try \> 5.000`
     330if test $try = "1"; then
     331AC_MSG_RESULT("yes")
     332else
     333success="no"
     334fi
     335fi
     336
     337if test $success = "no"; then
     338AC_MSG_RESULT("no")
     339AC_MSG_ERROR("Perl 5 not available - cannot install")
     340fi
    294341
    295342dnl
     
    386433# indexers needs a bindir option to get the binaries into the right place
    387434gsdlprefix=`pwd`
    388 ac_configure_args="$ac_configure_args --bindir=$gsdlprefix/bin/$gsdlos "
    389 AC_CONFIG_SUBDIRS(common-src build-src)
     435ac_configure_args="$ac_configure_args --bindir=$gsdlprefix/bin/$gsdlos --libdir=$gsdlprefix/lib/$gsdlos"
     436AC_CONFIG_SUBDIRS(common-src)
     437AC_CONFIG_SUBDIRS(build-src)
    390438
    391439# the list of folders in the src folder
     
    393441         build-src/Makefile"
    394442
     443if test -d runtime-src; then
     444   AC_CONFIG_SUBDIRS(runtime-src)
     445   srclist="$srclist \
     446         runtime-src/Makefile"
     447fi
     448
    395449AC_OUTPUT(Makefile $srclist $moduleDirs)
    396450
Note: See TracChangeset for help on using the changeset viewer.